Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.editor
Interface ViewPaneListener

All Known Implementing Classes:
  ClipboardView, ViewPaneAdapter

public interface ViewPaneListener

The listener interface for receiving "interesting" mouse events (press, release, click, enter, and exit) on a view pane.

See Also: <{MouseListener}>, <{ru.biosoft.graphics.editor.ViewPaneEvent}>

Method Summary
`void` | `mouseClicked(ViewPaneEvent e)` Invoked when the mouse has been clicked on a view pane.
`void` | `mouseDragged(ViewPaneEvent e)`
`void` | `mouseEntered(ViewPaneEvent e)` Invoked when the mouse enters a view pane.
`void` | `mouseExited(ViewPaneEvent e)` Invoked when the mouse exits a view pane.
`void` | `mouseMoved(ViewPaneEvent e)`
`void` | `mousePressed(ViewPaneEvent e)` Invoked when a mouse button has been pressed on a view pane.
`void` | `mouseReleased(ViewPaneEvent e)` Invoked when a mouse button has been released on a view pane.

Method Detail

### mouseClicked

    public void mouseClicked(ViewPaneEvent e)

  Invoked when the mouse has been clicked on a view pane.

### mouseDragged

    public void mouseDragged(ViewPaneEvent e)

### mouseEntered

    public void mouseEntered(ViewPaneEvent e)

  Invoked when the mouse enters a view pane.

### mouseExited

    public void mouseExited(ViewPaneEvent e)

  Invoked when the mouse exits a view pane.

### mouseMoved

    public void mouseMoved(ViewPaneEvent e)

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  Invoked when a mouse button has been pressed on a view pane.

### mouseReleased

    public void mouseReleased(ViewPaneEvent e)

  Invoked when a mouse button has been released on a view pane.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM